View Issue Details

IDProjectCategoryView StatusLast Update
0000345WackoWikicorepublic2011-05-31 21:24
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version4.3.rc 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000345: Deprecated features in PHP 5.3.x
Descriptionhttp://de.php.net/manual/de/migration53.deprecated.php

Deprecated: Function set_magic_quotes_runtime() is deprecated in \wacko\classes\init.php on line 89

Deprecated: Function split() is deprecated in \wacko\formatters\classes\wackoformatter.php on line 481

Deprecated: Assigning the return value of new by reference is deprecated in \wacko\formatters\post_wacko.php on line 5
Deprecated: Assigning the return value of new by reference is deprecated in \wacko\formatters\post_wacko.php on line 5
Deprecated: Assigning the return value of new by reference is deprecated in \wacko\formatters\typografica.php on line 7
Deprecated: Assigning the return value of new by reference is deprecated in \wacko\formatters\wacko.php on line 8

remove & reference operator – In PHP5 objects are allways passed by reference.
= &new old
= new new
If you need copy of an object, you need to clone it using
$obj = clone $obj2;
TagsNo tags attached.

Relationships

parent of 0000262 resolvedebal replace the remaining ereg() function with preg_match() 
parent of 0000344 resolvedadministrator Message: Assigning the return value of new by reference is deprecated in ...\formatters\... 
parent of 0000326 resolvedadministrator replace the remaining split() function with preg_split() 

Activities

administrator

2009-11-24 12:28

administrator   ~0000728

Fixed and committed. -> 4.3.rc2 requires now PHP >= 5.1.0

Issue History

Date Modified Username Field Change
2009-11-24 12:23 administrator New Issue
2009-11-24 12:23 administrator Status new => assigned
2009-11-24 12:23 administrator Assigned To => administrator
2009-11-24 12:28 administrator Note Added: 0000728
2009-11-24 12:28 administrator Status assigned => resolved
2009-11-24 12:28 administrator Resolution open => fixed
2009-11-24 12:28 administrator Fixed in Version => 5.0.beta
2009-11-24 12:32 administrator Relationship added child of 0000344
2009-11-24 12:47 administrator Relationship added child of 0000326
2009-11-24 12:49 administrator Relationship added child of 0000262
2009-11-24 12:54 administrator Relationship deleted child of 0000262
2009-11-24 12:54 administrator Relationship added parent of 0000262
2009-11-24 12:55 administrator Relationship deleted child of 0000344
2009-11-24 12:55 administrator Relationship added parent of 0000344
2009-11-24 12:55 administrator Relationship deleted child of 0000326
2009-11-24 12:56 administrator Relationship added parent of 0000326
2010-03-08 10:12 administrator Category Core => core
2011-05-31 21:24 administrator Build => R5.0.beta